Create Member
curl --request POST \
--url https://api.example.com/createmembers \
--header 'Content-Type: application/json' \
--data '
{
"firstname": "<string>",
"lastname": "<string>",
"email": "<string>",
"chapter_id": 123,
"membertype_id": 123,
"phone": "<string>"
}
'import requests
url = "https://api.example.com/createmembers"
payload = {
"firstname": "<string>",
"lastname": "<string>",
"email": "<string>",
"chapter_id": 123,
"membertype_id": 123,
"phone": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
firstname: '<string>',
lastname: '<string>',
email: '<string>',
chapter_id: 123,
membertype_id: 123,
phone: '<string>'
})
};
fetch('https://api.example.com/createmembers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": 42,
"firstname": "Jane",
"lastname": "Smith",
"email": "jane@example.com",
"chapter_id": 1,
"membertype_id": 1,
"status": "pending",
"createddate": "2025-06-01T12:00:00Z"
}
}
Members
Create Member
Create a new member in a chapter.
POST
/
createmembers
Create Member
Request Body
string
required
Member’s first name.
string
required
Member’s last name.
string
required
Member’s email address.
integer
required
Chapter to add the member to.
integer
required
Membership type ID.
string
Phone number.
Response
{
"status": "success",
"data": {
"id": 42,
"firstname": "Jane",
"lastname": "Smith",
"email": "jane@example.com",
"chapter_id": 1,
"membertype_id": 1,
"status": "pending",
"createddate": "2025-06-01T12:00:00Z"
}
}
⌘I